---
title: Touch.clientX
slug: Web/API/Touch/clientX
tags:
  - API
  - DOM
  - Property
  - Read-only
  - Reference
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<p>The <code>Touch.clientX</code> read-only property returns the X coordinate of the touch point relative to the viewport, not including any scroll offset.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>touchItem</var>.clientX;</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>long</code> representing the X coordinate of the touch point relative to the viewport, not including any scroll offset.</p>

<h2 id="Example">Example</h2>

<p>This example illustrates using the {{domxref("Touch")}} object's {{domxref("Touch.clientX")}} and {{domxref("Touch.clientY")}} properties. The {{domxref("Touch.clientX")}} property is the horizontal coordinate of a touch point relative to the browser's viewport excluding any scroll offset. The {{domxref("Touch.clientY")}} property is the vertical coordinate of the touch point relative to the browser's viewport excluding any scroll offset .</p>

<p>In this example, we assume the user initiates a touch on an element with an id of <code>source</code>, moves within the element or out of the element and then releases contact with the surface. When the {{domxref("Element/touchend_event", "touchend")}} event handler is invoked, the changes in the {{domxref("Touch.clientX")}} and {{domxref("Touch.clientY")}} coordinates, from the starting touch point to the ending touch point, are calculated.</p>

<pre class="brush: js notranslate">// Register touchstart and touchend listeners for element 'source'
var src = document.getElementById("source");
var clientX, clientY;

src.addEventListener('touchstart', function(e) {
  // Cache the client X/Y coordinates
  clientX = e.touches[0].clientX;
  clientY = e.touches[0].clientY;
}, false);

src.addEventListener('touchend', function(e) {
  var deltaX, deltaY;

  // Compute the change in X and Y coordinates.
  // The first touch point in the changedTouches
  // list is the touch point that was just removed from the surface.
  deltaX = e.changedTouches[0].clientX - clientX;
  deltaY = e.changedTouches[0].clientY - clientY;

  // Process the data ...
}, false);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-clientx')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#widl-Touch-clientX')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.clientX")}}</p>
